Bug 44 - lilo unable to install to mbr
lilo unable to install to mbr
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1998-11-11 14:00 EST by lyons
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1998-11-19 08:39:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lyons 1998-11-11 14:00:31 EST
at the end of the install when lilo goes to write to the MBR
it errors out and I am also unable to make a boot disk. this
is the second machine it has happened on
Comment 1 David Lawrence 1998-11-12 12:55:59 EST
Need more detailed information about partition setup, hard drive
parameters, and possibility of third party boot loaders.
Comment 2 niles 1998-11-16 12:38:59 EST
This will happen if have specified a another boot-able OS partition
like DOS, but haven't yet installed it.  E.g. you create the DOS
partition with a DOS floppy disk running DOS FDISK, then you install
Linux and indicate during install that you would like to boot off /dos
as well.  Then, lilo will fail when it can find any boot code for
DOS.  This is VERY bad for new users.  The installer should detect
this condition and remove the unboot-able partitions and re-try the
lilo installation.  Of course, it should indicate this to the user and
explain how to "re-run" the lilo installation once DOS/Win9x has been
installed. **Please fix this RedHat**
Comment 3 David Lawrence 1998-11-17 13:30:59 EST
You should just choose retry when the lilo installation fails. Then
try again by removing the label for the dos partition and lilo should
then skip trying to add the dos partition to the lilo configuration.
Otherwise you will need to format and make bootable the dos partition
before you install. If you make the dos partition bootable after the
install (using fdisk /mbr) lilo will be overwritten rendering Linux

Note You need to log in before you can comment on or make changes to this bug.